package com.storlead.knowledge.enums;

import lombok.Getter;

/***
 * 嵌入模式枚举
 */
@Getter
public enum DocFormEnum {

    /**
     * 文本模式
     */
    TEXT(0, "text_model"),

    /**
     * 父子结果模式
     */
    HIERARCHICAL(1, "hierarchical_model"),
    /**
     * QA问答模式
     */
    QA(2, "qa_model"),

    ;

    public Integer code;

    public String desc;

    DocFormEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
